#!/usr/bin/env python
# -*- coding: utf-8 -*-
#

# file      : wind_info.py
# project   : basebuildc
# copyright : (C) 2014 by Claude Bulin
#
# This file is part of basebuildc project
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; version 3.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA


try:
	from gi.repository import Gtk, GObject
except:
	print("GTK Not Availible")
	sys.exit(1)
import sys, os
from fconfig import FConfig
import Language_Init

#
# wind_info(Form=self.wind_main)
#
class wind_info():
	def __init__( self, path="wind_info.glade", Form=None, Title="", Text="" ):

		# Add language support
		_ = Language_Init.Translator(FConfig).lang.gettext
		self._ = _

		try:
			self.builder = Gtk.Builder()
			# Add language support from glade file
			self.builder.set_translation_domain("basebuildc")
			self.builder.add_from_file( FConfig.DATADIR + "/" + path )
		except:
			print("except from:Gtk.Builder() ")
			sys.exit(1)

		self.wind_info=self.builder.get_object("wind_info")
		self.wind_info.set_transient_for( Form )

		dic={
			"on_wind_info_destroy_event": self.on_wind_info_destroy_event,
			"on_wind_info_delete_event": self.on_wind_info_delete_event,
			"on_button_quitter_wininfo_clicked": self.on_button_quitter_wininfo_clicked,
		}
		self.builder.connect_signals(dic)

		self.label_titre_wininfo=self.builder.get_object("label_titre_wininfo")
		self.label_texte_wininfo=self.builder.get_object("label_texte_wininfo")

		self.wind_info.set_title("%s - Version %s" % (FConfig.__PACKAGE__, FConfig.__VERSION__))
		self.wind_info.set_icon_from_file( FConfig.DATADIR + "/basebuildc.png" )
		string = "<span font_desc=\"sans bold 12\"><b>\n  %s  \n</b></span>" % Title
		self.label_titre_wininfo.set_markup( string )
		self.label_texte_wininfo.set_label( "     " + Text + "     \n\n" )

		self.wind_info.show()

	def on_wind_info_destroy_event(self, widget, data=None):
		self.wind_info.destroy()

	def on_wind_info_delete_event(self, widget, data=None):
		self.wind_info.destroy()

	def on_button_quitter_wininfo_clicked(self, widget, data=None):
		self.wind_info.destroy()


if __name__ == '__main__':
	wind = wind_info()
	Gtk.main()
